aboutsummaryrefslogtreecommitdiffstats
path: root/community/clamsmtp/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/clamsmtp/APKBUILD')
-rw-r--r--community/clamsmtp/APKBUILD61
1 files changed, 61 insertions, 0 deletions
diff --git a/community/clamsmtp/APKBUILD b/community/clamsmtp/APKBUILD
new file mode 100644
index 0000000000..6e6a62ed2b
--- /dev/null
+++ b/community/clamsmtp/APKBUILD
@@ -0,0 +1,61 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=clamsmtp
+pkgver=1.10
+pkgrel=15
+pkgdesc="An SMTP Virus Filter"
+url="http://thewalter.net/stef/software/clamsmtp/"
+arch="all"
+license="BSD"
+depends=""
+makedepends=""
+install="$pkgname.pre-install $pkgname.pre-upgrade $pkgname.post-upgrade"
+subpackages="$pkgname-doc"
+source="http://thewalter.net/stef/software/clamsmtp/clamsmtp-$pkgver.tar.gz
+ clamsmtpd.confd
+ clamsmtpd.initd
+ "
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ # set default clam address and user
+ sed -e 's|^\#ClamAddress:.*|ClamAddress: /var/run/clamav/clamd.sock|'\
+ -e 's|^\#User:.*|User: clamav|' \
+ -i doc/clamsmtpd.conf
+
+ install -Dm644 doc/clamsmtpd.conf "$pkgdir"/etc/clamsmtpd.conf
+ install -Dm755 "$srcdir"/clamsmtpd.initd "$pkgdir"/etc/init.d/clamsmtpd
+ install -Dm644 "$srcdir"/clamsmtpd.confd "$pkgdir"/etc/conf.d/clamsmtpd
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="b068ba6e444859782bbdd88f290c1abf clamsmtp-1.10.tar.gz
+e84205681f64c07af9ec5b6a3dd8bc38 clamsmtpd.confd
+01cbffdd905736452e3ac50c16c2cea9 clamsmtpd.initd"
+sha256sums="a52fdb4b26e11ece30c478a806c95b1eda16f4e73937bd560ece7017fb0df92a clamsmtp-1.10.tar.gz
+2383e93e39f5228d50a6e94ae3d3d4983443a6981db23ab0fc8faac11b2518cc clamsmtpd.confd
+965999e302b9b6726c443e941ba58609032e82254e67e64acd96d15ba24e7ba6 clamsmtpd.initd"
+sha512sums="f28e2c1d78c965245d8d7a8810fbeb11d41e40383eba2e8fca500f94c2e4b8d9a2c0b9e4e8e967965bf50266968e0b9549fb62369f37724350a20174c89a044b clamsmtp-1.10.tar.gz
+007b948a11ab4c8da737328d2088abd5b66dc7f83bf1b8bcb26a5deb639864e77553b7e7434139ddb8a916fe39beb4aabb35f766ce96274449b414268703a6ee clamsmtpd.confd
+2540bcafa866249cd63cb961c4d589eca900e9d1bedfc06c5ae890118fd9e49f1bd126e6dc23d1d953cc1038b390a2a736b67032e9fb33e70227887a6cbc4a5c clamsmtpd.initd"